Skip to main content
GET
/
v1
/
brands
/
search
Search brands
curl --request GET \
  --url https://api.adspo.co/v1/brands/search \
  --header 'x-api-key: <api-key>'
{
  "count": 1,
  "brands": [
    {
      "brand_id": "15087023444",
      "name": "Nike",
      "category": "Fashion & Apparel",
      "domain": "nike.com",
      "image_uri": "https://r2.adspo.co/pages/15087023444.jpg",
      "ig_username": "nike",
      "ig_followers": "297398825",
      "facebook_likes": "39645492",
      "facebook_url": "https://www.facebook.com/nike/",
      "domain_traffic": "107785544",
      "ads": 2080,
      "creatives": 614,
      "verified": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.adspo.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Your Adspo API key.

Query Parameters

q
string

Keyword matched against brand name, slug, and category.

domain
string

Domain to search for (partial match).

Response

List of matching brands.

count
integer
brands
object[]